###################################
# Makefile for NEB examples
#
###################################


# Source code directories
srcdir=.

SRC_INCLUDE=../include

BLD_INCLUDE=../include
BLD_LIB=../lib


CC=gcc
MOD_CFLAGS=-fPIC
CFLAGS=-I. -I$(SRC_INCLUDE) -I.. -I$(BLD_INCLUDE) -I$(BLD_LIB)  -g -O2  -DHAVE_CONFIG_H
MOD_LDFLAGS=-shared
LDFLAGS= 
LIBS= -lssl -lcrypto 

prefix=/usr/local/nagios
exec_prefix=/usr/local/nagios
BINDIR=/usr/local/nagios/bin
INSTALL=/usr/bin/install -c
INSTALL_OPTS=-o nagios -g nagios
COMMAND_OPTS=-o nagios -g nagios
STRIP=/usr/bin/strip

CP=@CP@

all:	influx_perf_api_v1.o


influx_perf_api_v1.o: $(srcdir)/influx_perf_api_v1.c
	$(CC) -I.. $(MOD_CFLAGS) $(CFLAGS) -o influx_perf_api_v1.o $(srcdir)/influx_perf_api_v1.c $(MOD_LDFLAGS) $(LDFLAGS) $(LIBS) -lcurl -lpthread

clean:
	rm -f core *.o
	rm -f *~ *.*~


devclean: distclean

install: influx_perf_api_v1.o 
	$(INSTALL) -m 774 $(INSTALL_OPTS) influx_perf_api_v1.o $(BINDIR)/influx_perf_api_v1.o
	@echo "Shared module influx_perf_api_v1.o is in $(BINDIR)/ "


